import App from "./App";
import apiRequest from "@/api/request.js";
import * as Pinia from 'pinia';

// #ifndef VUE3
import Vue from "vue";
import "./uni.promisify.adaptor";

// 全局挂载后使用
Vue.prototype.$api = apiRequest.api;

Vue.config.productionTip = false;
App.mpType = "app";

const app = new Vue({
  ...App,
});
app.$mount();
// #endif

// #ifdef VUE3
import { createSSRApp } from "vue";
export function createApp() {
  const app = createSSRApp(App);
  app.use(Pinia.createPinia());
  app.config.globalProperties.$api = apiRequest.api;
  return {
    app,
    Pinia
  };
}
// #endif
